Bug 475758 - yum-builddep --target
yum-builddep --target
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
: 437064 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 05:58 EST by Roland McGrath
Modified: 2014-01-21 18:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:14:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland McGrath 2008-12-10 05:58:31 EST
yum-builddep needs a --target option, e.g. yum-builddep --target=i386 src.rpm on x86_64, or yum-builddep --target=ppc64 src.rpm on ppc, should install everything required for rpmbuild --target=ppc64 --rebuild src.rpm
Comment 1 seth vidal 2008-12-10 09:32:59 EST
Doesn't setarch work for this like is done with mock and other tools?
Comment 2 Roland McGrath 2008-12-10 15:56:09 EST
Nope.  python, /bin/sh, etc. are not of the other arch, so setarch is reset before it gets there.  Inside mock, it has a whole installation of the target arch to use, so that's different.

What you really need is harder.  I guess it requires rpm to get better dependencies for biarch or something.  e.g., you don't need binutils.ppc64, bison.ppc64, etc. (and they aren't in the biarch repo).  You just need *-devel.ppc64 really, but I guess BuildRequires doesn't distinguish "must be able to run it" from "must have it for target arch".

Still, please to have the rpm/yum geniuses cogitate on a good solution.
"Just use mock for biarch" is tolerable today, but yum-builddep is about making it easy to do normal rpmbuilds, and one day that should be supported well for rpmbuild --target=ppc64 on ppc.
Comment 3 James Antill 2008-12-10 16:21:14 EST
Ok, that sounds like a differnet problem:

foo.i386 requires bar.i386 (and not bar.x86_64)

...this is solved by the package using %{_isa}, like:

Requires: bar%{_isa} => 1.0

...this was/is a feature newish to rpm, but is the only good way of solving this problem.

 Is that your problem, or am I missing something?
Comment 4 Roland McGrath 2008-12-10 16:25:38 EST
That is probably what's needed (and I have suffered its lack before in unrelated contexts).  But it's only useful for yum-builddep if every Fedora spec file gets updated to judiciously use %{_isa} where it matters (-devel BuildReqs and the like).
Comment 5 Warren Togami 2008-12-28 02:33:36 EST
*** Bug 437064 has been marked as a duplicate of this bug. ***
Comment 6 Bug Zapper 2009-11-18 05:25:16 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:14:26 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.